package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SceneDeleteParam;
import api.common.pojo.param.scene.ScenePackageSublistParam;
import api.common.pojo.po.scene.ScenePackageSublistPO;
import api.common.pojo.vo.scene.ScenePackageSublistVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface ScenePackageSublistMapper {

    void saveScenePackageSublist(ScenePackageSublistPO params);
    void saveScenePackageSublistAll(List<ScenePackageSublistPO> treeList);
    void deleteScenePackageSublist(String rootId);
    void deleteScenePackageSublistById(String sublistId);
    List<ScenePackageSublistVO> queryScenePackageSublistList(ScenePackageSublistPO params);
    List<ScenePackageSublistVO> queryBySublistName(ScenePackageSublistPO params);
    List<String> selectPackageIdById(SceneDeleteParam param);
    List<ScenePackageSublistPO> selectPackageFhById(SceneDeleteParam param);
    void updateScenePackageSublistById(SceneDeleteParam param);

    int selectSceneNumByPackageId(@Param("scenePackageId")String scenePackageId);


    List<ScenePackageSublistPO> selectBySceneIds(ScenePackageSublistParam scenePackageSublistParam);

    void update(@Param("indexes")List<ScenePackageSublistPO> indexes);
}
